package comsoc

//majorité simple
// fonctions de bien-être social (social welfare function, SWF) :
// retournent un décompte à partir d'un profil
func MajoritySWF(p Profile) (count Count, err error){
	//1) checkProfileAlternative(prefs Profile, alts []Alternative)
	count := make(map[Alternative]int)
	for _, row := range p{
		count[row[0]]+=1
	}
	return count
}

// fonctions de choix social (choix social, social choice function, SCF) 
// renvoient uniquement les alternatives préférées.
func MajoritySCF(p Profile) (bestAlts []Alternative, err error){}
